From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/
Date: Sun, 8 Aug 2021 09:54:31 +0000 (UTC) [thread overview]
Message-ID: <1628416466.b1a7d2251f1ce089d554d2872c5f3570879527e2.mgorny@gentoo> (raw)
commit: b1a7d2251f1ce089d554d2872c5f3570879527e2
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 8 09:38:23 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 8 09:54:26 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1a7d225
games-emulation/dolphin: Fix LICENSE
Adjust the package's license to GPL-2+, plus add licenses for
the bundled deps.
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../dolphin/dolphin-5.0_p20210506-r1.ebuild | 76 ++++++++++----------
games-emulation/dolphin/dolphin-9999.ebuild | 82 +++++++++++-----------
2 files changed, 81 insertions(+), 77 deletions(-)
diff --git a/games-emulation/dolphin/dolphin-5.0_p20210506-r1.ebuild b/games-emulation/dolphin/dolphin-5.0_p20210506-r1.ebuild
index 28d9f08814f..994989ac1a8 100644
--- a/games-emulation/dolphin/dolphin-5.0_p20210506-r1.ebuild
+++ b/games-emulation/dolphin/dolphin-5.0_p20210506-r1.ebuild
@@ -21,7 +21,8 @@ fi
DESCRIPTION="Gamecube and Wii game emulator"
HOMEPAGE="https://dolphin-emu.org/"
-LICENSE="GPL-2"
+# NB: appended below
+LICENSE="GPL-2+"
SLOT="0"
IUSE="alsa bluetooth discord-presence doc +evdev ffmpeg +gui log
profile pulseaudio systemd upnp vulkan"
@@ -73,48 +74,49 @@ RDEPEND="${RDEPEND}
PATCHES=("${FILESDIR}"/${P}-musl.patch)
+# [directory]=license
+declare -A KEEP_BUNDLED=(
+ [Bochs_disasm]=LGPL-2.1+
+ [FreeSurround]=GPL-2+
+
+ # vulkan's API is not backwards-compatible:
+ # new release dropped VK_PRESENT_MODE_RANGE_SIZE_KHR
+ # but dolphin still relies on it, bug #729832
+ [Vulkan]=Apache-2.0
+
+ [cpp-optparse]=MIT
+ # no support for for using system library
+ [glslang]=BSD
+ [imgui]=MIT
+
+ # not packaged, tiny header library
+ [rangeset]=ZLIB
+
+ # FIXME: xxhash can't be found by cmake
+ [xxhash]=BSD-2
+ # no support for for using system library
+ [minizip]=ZLIB
+ # soundtouch uses shorts, not floats
+ [soundtouch]=LGPL-2.1+
+ [cubeb]=ISC
+ [discord-rpc]=MIT
+ # Their build set up solely relies on the build in gtest.
+ [gtest]= # (build-time only)
+ # gentoo's version requires exception support.
+ # dolphin disables exceptions and fails the build.
+ [picojson]=BSD-2
+ # No code to detect shared library.
+ [zstd]=BSD
+)
+LICENSE+=" ${KEEP_BUNDLED[*]}"
+
src_prepare() {
cmake_src_prepare
- # Remove all the bundled libraries that support system-installed
- # preference. See CMakeLists.txt for conditional 'add_subdirectory' calls.
- local keep_sources=(
- Bochs_disasm
- FreeSurround
-
- # vulkan's API is not backwards-compatible:
- # new release dropped VK_PRESENT_MODE_RANGE_SIZE_KHR
- # but dolphin still relies on it, bug #729832
- Vulkan
-
- cpp-optparse
- # no support for for using system library
- glslang
- imgui
-
- # not packaged, tiny header library
- rangeset
-
- # FIXME: xxhash can't be found by cmake
- xxhash
- # no support for for using system library
- minizip
- # soundtouch uses shorts, not floats
- soundtouch
- cubeb
- discord-rpc
- # Their build set up solely relies on the build in gtest.
- gtest
- # gentoo's version requires exception support.
- # dolphin disables exceptions and fails the build.
- picojson
- # No code to detect shared library.
- zstd
- )
local s remove=()
for s in Externals/*; do
[[ -f ${s} ]] && continue
- if ! has "${s#Externals/}" "${keep_sources[@]}"; then
+ if ! has "${s#Externals/}" "${!KEEP_BUNDLED[@]}"; then
remove+=( "${s}" )
fi
done
diff --git a/games-emulation/dolphin/dolphin-9999.ebuild b/games-emulation/dolphin/dolphin-9999.ebuild
index cc0e8a05e21..1a7a4c37e4e 100644
--- a/games-emulation/dolphin/dolphin-9999.ebuild
+++ b/games-emulation/dolphin/dolphin-9999.ebuild
@@ -22,7 +22,8 @@ fi
DESCRIPTION="Gamecube and Wii game emulator"
HOMEPAGE="https://dolphin-emu.org/"
-LICENSE="GPL-2"
+# NB: appended below
+LICENSE="GPL-2+"
SLOT="0"
IUSE="alsa bluetooth discord-presence doc +evdev ffmpeg +gui log mgba
profile pulseaudio systemd upnp vulkan"
@@ -72,51 +73,52 @@ BDEPEND="
RDEPEND="${RDEPEND}
vulkan? ( media-libs/vulkan-loader )"
+# [directory]=license
+declare -A KEEP_BUNDLED=(
+ [Bochs_disasm]=LGPL-2.1+
+ [FreeSurround]=GPL-2+
+
+ # vulkan's API is not backwards-compatible:
+ # new release dropped VK_PRESENT_MODE_RANGE_SIZE_KHR
+ # but dolphin still relies on it, bug #729832
+ [Vulkan]=Apache-2.0
+
+ [cpp-optparse]=MIT
+ # no support for for using system library
+ [glslang]=BSD
+ [imgui]=MIT
+
+ # not packaged, tiny header library
+ [rangeset]=ZLIB
+
+ # FIXME: xxhash can't be found by cmake
+ [xxhash]=BSD-2
+ # no support for for using system library
+ [minizip]=ZLIB
+ # soundtouch uses shorts, not floats
+ [soundtouch]=LGPL-2.1+
+ [cubeb]=ISC
+ [discord-rpc]=MIT
+ # Their build set up solely relies on the build in gtest.
+ [gtest]= # (build-time only)
+ # gentoo's version requires exception support.
+ # dolphin disables exceptions and fails the build.
+ [picojson]=BSD-2
+ # No code to detect shared library.
+ [zstd]=BSD
+
+ # This is a stripped-down mGBA for integrated GBA support
+ [mGBA]=MPL-2.0
+)
+LICENSE+=" ${KEEP_BUNDLED[*]}"
+
src_prepare() {
cmake_src_prepare
- # Remove all the bundled libraries that support system-installed
- # preference. See CMakeLists.txt for conditional 'add_subdirectory' calls.
- local KEEP_SOURCES=(
- Bochs_disasm
- FreeSurround
-
- # vulkan's API is not backwards-compatible:
- # new release dropped VK_PRESENT_MODE_RANGE_SIZE_KHR
- # but dolphin still relies on it, bug #729832
- Vulkan
-
- cpp-optparse
- # no support for for using system library
- glslang
- imgui
-
- # not packaged, tiny header library
- rangeset
-
- # FIXME: xxhash can't be found by cmake
- xxhash
- # no support for for using system library
- minizip
- # soundtouch uses shorts, not floats
- soundtouch
- cubeb
- discord-rpc
- # Their build set up solely relies on the build in gtest.
- gtest
- # gentoo's version requires exception support.
- # dolphin disables exceptions and fails the build.
- picojson
- # No code to detect shared library.
- zstd
-
- # This is a stripped-down mGBA for integrated GBA support
- mGBA
- )
local s remove=()
for s in Externals/*; do
[[ -f ${s} ]] && continue
- if ! has "${s#Externals/}" "${keep_sources[@]}"; then
+ if ! has "${s#Externals/}" "${!KEEP_BUNDLED[@]}"; then
remove+=( "${s}" )
fi
done
next reply other threads:[~2021-08-08 9:54 UTC|newest]
Thread overview: 87+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-08-08 9:54 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-13 9:39 [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/ Michał Górny
2025-03-04 19:36 Arthur Zamarin
2025-01-20 4:11 Sam James
2025-01-18 16:34 Michał Górny
2025-01-06 0:53 Sam James
2024-12-28 9:01 Michał Górny
2024-12-26 9:18 Michał Górny
2024-08-17 19:24 Michał Górny
2024-08-11 18:31 Michał Górny
2024-03-04 5:02 Sam James
2023-08-20 17:41 Michał Górny
2023-05-30 10:36 Andreas Sturmlechner
2023-05-23 2:52 Sam James
2022-09-04 23:58 Sam James
2022-07-22 14:24 Ionen Wolkens
2022-07-07 8:30 Ionen Wolkens
2022-06-22 16:02 Arthur Zamarin
2022-05-20 17:13 Michał Górny
2022-05-20 6:41 Michał Górny
2022-04-27 22:10 James Le Cuirot
2022-01-08 10:27 Michał Górny
2022-01-08 10:27 Michał Górny
2021-10-31 0:19 Sam James
2021-09-27 6:55 Agostino Sarubbo
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-08 9:54 Michał Górny
2021-08-06 1:59 Michał Górny
2021-08-05 23:03 Ionen Wolkens
2021-08-04 9:01 Sergei Trofimovich
2021-07-30 7:49 Sergei Trofimovich
2021-07-28 6:45 Sergei Trofimovich
2021-06-19 9:01 Sergei Trofimovich
2021-06-13 6:28 Agostino Sarubbo
2021-05-12 20:14 Sergei Trofimovich
2021-03-28 19:11 Sergei Trofimovich
2020-12-18 20:48 Sergei Trofimovich
2020-12-02 23:21 Sam James
2020-10-24 18:23 Sergei Trofimovich
2020-09-11 7:52 Sergei Trofimovich
2020-08-13 17:51 Sergei Trofimovich
2020-08-10 14:33 Agostino Sarubbo
2020-07-08 17:09 Sergei Trofimovich
2020-07-05 17:26 Sergei Trofimovich
2020-07-05 17:26 Sergei Trofimovich
2020-06-27 13:09 Sergei Trofimovich
2020-05-15 23:12 Sergei Trofimovich
2020-04-25 20:03 Mikle Kolyada
2020-03-20 0:00 Sergei Trofimovich
2020-01-09 19:45 Sergei Trofimovich
2019-11-10 11:10 Sergei Trofimovich
2019-11-10 11:10 Sergei Trofimovich
2019-10-12 20:56 Sergei Trofimovich
2019-06-16 9:14 Sergei Trofimovich
2019-02-14 22:29 Sergei Trofimovich
2018-11-30 20:27 Sergei Trofimovich
2018-11-25 21:45 Sergei Trofimovich
2018-11-25 21:45 Sergei Trofimovich
2018-09-22 17:04 Sergei Trofimovich
2018-09-19 22:17 Sergei Trofimovich
2018-09-03 19:13 Sergei Trofimovich
2018-09-03 19:13 Sergei Trofimovich
2018-07-28 17:25 Sergei Trofimovich
2018-07-22 12:27 Sergei Trofimovich
2018-07-08 4:57 David Seifert
2018-01-13 23:15 David Seifert
2018-01-13 23:15 David Seifert
2016-12-19 14:14 Tobias Klausmann
2016-06-25 2:32 Devan Franchini
2016-06-25 2:32 Devan Franchini
2016-05-09 1:44 Michael Sterrett
2016-04-02 19:42 Devan Franchini
2016-04-02 19:42 Devan Franchini
2016-03-05 6:00 Devan Franchini
2016-03-05 5:52 Devan Franchini
2016-01-13 20:49 Devan Franchini
2016-01-07 4:24 Devan Franchini
2016-01-02 1:45 Devan Franchini
2015-12-13 21:19 Devan Franchini
2015-12-12 21:12 Devan Franchini
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1628416466.b1a7d2251f1ce089d554d2872c5f3570879527e2.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox